Package com.xebialabs.xlrelease.utils

## Class Tree$

- java.lang.Object
- - com.xebialabs.xlrelease.utils.Tree$

-     public class Tree$
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Tree$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tree$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A> Tree.Node<A>` | `apply​(A value, scala.collection.immutable.List<Tree.Node<A>> children)` |
    `<A> scala.collection.immutable.List<scala.runtime.Nothing$>` | `apply$default$2()` |
    `<A> Tree<A>` | `empty()` |
    `<A> Tree.ListTreeOps<A>` | `ListTreeOps​(scala.collection.immutable.List<Tree<A>> ts)` |
    `<A> Tree.NodeOps<A>` | `NodeOps​(Tree.Node<A> n)` |
    `<A> Tree.TreeOps<A>` | `TreeOps​(Tree<A> t)` |
    `<A> Tree.TreeTreeOps<A>` | `TreeTreeOps​(Tree<Tree<A>> t)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final Tree$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### Tree$

          public Tree$()

  - ### Method Detail

    - #### empty

          public <A> Tree<A> empty()

    - #### apply

          public <A> Tree.Node<A> apply​(A value,
                                        scala.collection.immutable.List<Tree.Node<A>> children)

    - #### apply$default$2

          public <A> scala.collection.immutable.List<scala.runtime.Nothing$> apply$default$2()

    - #### NodeOps

          public <A> Tree.NodeOps<A> NodeOps​(Tree.Node<A> n)

    - #### TreeOps

          public <A> Tree.TreeOps<A> TreeOps​(Tree<A> t)

    - #### TreeTreeOps

          public <A> Tree.TreeTreeOps<A> TreeTreeOps​(Tree<Tree<A>> t)

    - #### ListTreeOps

          public <A> Tree.ListTreeOps<A> ListTreeOps​(scala.collection.immutable.List<Tree<A>> ts)